Generate a Logstash API key

Base URL
https://{kibana_url}
  • POST /api/fleet/logstash_api_keys
  • POST /s/{space_id}/api/fleet/logstash_api_keys
Auth

Generate an API key for Logstash to use with a Fleet output.

Required authorization

Privileges fleet-settings-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

Successful response

application/json
api_key string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}